Skip to main content
GET
Returns a list of input items for a given response.

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

response_id
string
required

The ID of the response to retrieve input items for.

Query Parameters

limit
integer
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

order
enum<string>

The order to return the input items in. Default is asc.

  • asc: Return the input items in ascending order.
  • desc: Return the input items in descending order.
Available options:
asc,
desc
after
string

An item ID to list items after, used in pagination.

before
string

An item ID to list items before, used in pagination.

Response

200 - application/json

OK

A list of Response items.

object
enum<string>
required

The type of object returned, must be list.

Available options:
list
data
(Input message · object | Output message · object | File search tool call · object | Computer tool call · object | Computer tool call output · object | Web search tool call · object | Function tool call · object | Function tool call output · object)[]
required

A list of items used to generate this response.

Content item used to generate a response.

has_more
boolean
required

Whether there are more items available.

first_id
string
required

The ID of the first item in the list.

last_id
string
required

The ID of the last item in the list.

Last modified on March 25, 2026